[tool.poetry]
name = "script"
version = "0.1.0"
description = ""
authors = ["Yves-Marie Haussonne <1218002+ymph@users.noreply.github.com>"]

[tool.poetry.dependencies]
python = "^3.10"
iri_tweet = { path = './lib/iri_tweet' }
astroid = "^2.12.13"
blessings = "^1.7"
certifi = "*"
chardet = "^5.1.0"
cssselect = "^1.2.0"
docutils = "~0.19"
idna = "^3.4"
isort = "^5.11.4"
lazy-object-proxy = "^1.8"
lockfile = "^0.12.2"
lxml = "^4.9.2"
mccabe = "^0.7.0"
oauthlib = "^3.2.2"
pylint = "^2.15.9"
pyquery = "^1.4.3"
python-daemon = "^2.3.2"
python-dateutil = "^2.8.2"
requests = "^2.28.1"
requests-oauthlib = "^1.3.1"
six = "^1.16.0"
sqlalchemy = "^1.4.45"
twitter = "^1.19.6"
twitter-text = "^3.0"
typed-ast = "^1.5.4"
urllib3 = "^1.26.13"
wrapt = "^1.14.1"
poetry = "^1.3.1"
mastodon-py = "^1.8.0"


[tool.poetry.dev-dependencies]
fissix = "^21.11.13"
# dephell = {extras = ["full"], version = "^0.8.3"}

[tool.poetry.group.dev.dependencies]
pylance = "^0.2.8"
black = "^22.12.0"
pylint = "^2.15.9"

[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"
